Package com.destroystokyo.paper.event.executor.asm

# Class SafeClassDefiner

java.lang.Object
com.destroystokyo.paper.event.executor.asm.SafeClassDefiner

All Implemented Interfaces:
  `ClassDefiner`

public class SafeClassDefiner extends Object implements ClassDefiner

## Method Summary

Modifier and Type
Method
Description
`@NotNull Class<?>`
`defineClass(@NotNull ClassLoader parentLoader, @NotNull String name, @org.jetbrains.annotations.NotNull byte[] data)`
Define a class

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.destroystokyo.paper.event.executor.asm.ClassDefiner

`isBypassAccessChecks`

## Method Details

### defineClass

@NotNull public @NotNull Class<?> defineClass(@NotNull @NotNull ClassLoader parentLoader, @NotNull @NotNull String name, @NotNull @org.jetbrains.annotations.NotNull byte[] data)
Description copied from interface: `ClassDefiner`
Define a class

Specified by:
  `defineClass` in interface `ClassDefiner`
Parameters:
  `parentLoader` - the parent classloader
  `name` - the name of the class
  `data` - the class data to load
Returns:
  the defined class